POSTs request when there is an update to E-verify for an Employee.
This endpoint specifies what will be sent to your Employee E-verify Event Webhook. Zeal POSTs a request containing an Employee's E-verify information in the dashboard. You can update and test the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.
Request Body
| attribute | type | description |
|---|---|---|
| test | boolean | Whether the Event was updated in Test Mode |
| companyID | string | Zeal companyID of Employer |
| employeeID | string | Zeal employeeID of Employee |
| first_name | string | First name of Employee |
| last_name | string | Last name of Employee |
| business_name | string | Business Name |
| everify_case_number | string | Case number of the E-Verify request |
| everify_status | string | Holds one of the following values:IN_PROGRESSPENDING_REFERRALREFERREDSUCCESSFAILUREFAILURE_NO_SHOWFAILURE_NO_ACTIONNOTE: For more information on these statuses refer to the everify_status field listed on the Employee Object. |
Returns
Doesn't return anything but rather POSTs a request with the E-verify update to your webhook URL.
Raw Content Example
{
"test": true,
"companyID": "1eeec343485723ee58ufefhz",
"business_name": "Test Company",
"employeeID": "1eeec343485723ee58ufefhz",
"first_name": "Erlich",
"last_name": "Bachman",
"everify_case_number": "2024270190310CF",
"everify_status": "SUCCESS",
"timestamp": "2024-01-21T21:29:42Z"
}
